package com.sun.xml.internal.ws.handler;

import javax.xml.namespace.QName;
import com.sun.xml.internal.ws.api.BindingID;
import javax.xml.ws.handler.PortInfo;

public class PortInfoImpl implements PortInfo
{
    private BindingID bindingId;
    private QName portName;
    private QName serviceName;
    
    public PortInfoImpl(BindingID bindingId, QName portName, QName serviceName) {
        if (bindingId == null) {
            throw new RuntimeException("bindingId cannot be null");
        }
        if (portName == null) {
            throw new RuntimeException("portName cannot be null");
        }
        if (serviceName == null) {
            throw new RuntimeException("serviceName cannot be null");
        }
        this.bindingId = bindingId;
        this.portName = portName;
        this.serviceName = serviceName;
        return;
    }
    
    public String getBindingID() {
        return this.bindingId.toString();
    }
    
    public QName getPortName() {
        return this.portName;
    }
    
    public QName getServiceName() {
        return this.serviceName;
    }
    
    @Override
    public boolean equals(Object obj) {
        if ((obj instanceof PortInfo)) {
            PortInfo info = (PortInfo)obj;
            if (this.bindingId.toString().equals(info.getBindingID()) && this.portName.equals(info.getPortName()) && this.serviceName.equals(info.getServiceName())) {
                return true;
            }
        }
        return false;
    }
    
    @Override
    public int hashCode() {
        return this.bindingId.hashCode();
    }
}
